Name:       keybinder-3.0
Version:    0.3.2
Release:    1%{?dist}
Summary:    A library for registering global keyboard shortcuts
License:    MIT
URL:        https://github.com/kupferlauncher/keybinder
Source0:    %{url}/archive/%{name}-v%{version}/%{name}-%{version}.tar.gz

BuildRequires:    gcc
BuildRequires:    automake
BuildRequires:    gtk3-devel
BuildRequires:    gnome-common
BuildRequires:    gobject-introspection-devel
BuildRequires:    gtk-doc

%description
keybinder is a library for registering global keyboard shortcuts. Keybinder
works with GTK-based applications using the X Window System.

The library contains:

 - A C library, libkeybinder
 - Gobject-Introspection (gir) generated bindings


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package contains the development files for %{name}.


%prep
%autosetup -n keybinder-%{name}-v%{version}

rm -rf examples/.gitignore
for script in 'examples/example.lua' 'examples/example.py' 'examples/example_gi.lua'; do
 sed '1s/env //' $script > $script.new &&
 touch -r $script $script.new &&
 mv $script.new $script
done


%build
./autogen.sh
%configure --enable-gtk-doc
%make_build V=1


%install
%make_install

find %{buildroot} -name '*.la' -delete
find %{buildroot} -name '.gitignore' -delete


%ldconfig_scriptlets


%files
%license COPYING
%doc NEWS AUTHORS README.rst
%{_libdir}/libkeybinder-3.0.so.*
%{_libdir}/girepository-1.0/Keybinder-3.0.typelib


%files devel
%doc examples
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/keybinder.h
%{_libdir}/pkgconfig/keybinder-3.0.pc
%{_libdir}/libkeybinder-3.0.so
%dir %{_datadir}/gtk-doc
%dir %{_datadir}/gtk-doc/html
%{_datadir}/gtk-doc/html/%{name}/
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Keybinder-3.0.gir


%changelog
* Sat Apr 14 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.2-1
- First RPM package
